package org.greenstone.gsdl3.gs3build.extractor;

import org.greenstone.gsdl3.gs3build.doctypes.DocumentID;
import org.greenstone.gsdl3.gs3build.doctypes.DocumentInterface;
import org.greenstone.gsdl3.gs3build.doctypes.DocumentList;

public interface ExtractorInterface
{
  public void configure(String outputDir);
  public void configure(DocumentList list);
  public void startPass(int passNumber);
  public void extractDocument(DocumentID documentID, DocumentInterface document);
  public void endPass(int passNumber);
  public int getNumberOfPasses();
}
